Package org.jfree.layouting.input.style.selectors

## Class CSSConditionalSelector

- java.lang.Object
- - org.jfree.layouting.input.style.selectors.AbstractSelector
  - - org.jfree.layouting.input.style.selectors.CSSConditionalSelector

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSSelector`, `org.w3c.css.sac.ConditionalSelector`, `org.w3c.css.sac.Selector`, `org.w3c.css.sac.SimpleSelector`

      public class CSSConditionalSelector
      extends AbstractSelector
      implements org.w3c.css.sac.ConditionalSelector

  Creation-Date: 30.11.2005, 16:43:45
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.css.sac.Selector

      `SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CSSConditionalSelector​(org.w3c.css.sac.SimpleSelector simpleSelector, org.w3c.css.sac.Condition condition)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected SelectorWeight` | `createWeight​()` |
    `org.w3c.css.sac.Condition` | `getCondition​()` | Returns the condition to be applied on the simple selector.
    `short` | `getSelectorType​()` | An integer indicating the type of `Selector`
    `org.w3c.css.sac.SimpleSelector` | `getSimpleSelector​()` | Returns the simple selector.

    - ### Methods inherited from class org.jfree.layouting.input.style.selectors.AbstractSelector

      `getWeight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSConditionalSelector

          public CSSConditionalSelector​(org.w3c.css.sac.SimpleSelector simpleSelector,
                                        org.w3c.css.sac.Condition condition)

  - ### Method Detail

    - #### createWeight

          protected SelectorWeight createWeight​()

      Specified by:
        `createWeight` in class `AbstractSelector`

    - #### getSimpleSelector

          public org.w3c.css.sac.SimpleSelector getSimpleSelector​()

      Returns the simple selector.

      The simple selector can't be a `ConditionalSelector`.

      Specified by:
        `getSimpleSelector` in interface `org.w3c.css.sac.ConditionalSelector`

    - #### getCondition

          public org.w3c.css.sac.Condition getCondition​()

      Returns the condition to be applied on the simple selector.
      Specified by:
        `getCondition` in interface `org.w3c.css.sac.ConditionalSelector`

    - #### getSelectorType

          public short getSelectorType​()

      An integer indicating the type of `Selector`
      Specified by:
        `getSelectorType` in interface `org.w3c.css.sac.Selector`